AccountController Methods

The AccountController type exposes the following members.

Methods
  NameDescription
Public methodChangePassword
POST /Account/ChangePassword/ Updates the password for the current account, or if an account ID is specified, the password for the specified account.
Public methodClearExternalGroupCache
POST /Account/ClearExternalGroupCache/{id} Clears the external group cache for the specified account.
Public methodConvertWindowsAccountToExternalAccount
POST /Account/ConvertWindowsAccountToExternalAccount/{id} Converts a Windows user/group account to an External user/group account.
Public methodCreateAccount
POST /Account/ Creates a user account of the requested type.
Public methodDeleteAccount
DELETE /Account/{id} Deletes an account.
Protected methodEnsureCallerContext
If the current context is not already the specified context, creates a new caller context which is a clone of the specified context and sets it as the current one.
(Inherited from ApiControllerBase.)
Protected methodEnsureFormFileMultipartContent
Ensures when form files are access the content is MIME multi-part which we want.
(Inherited from ApiControllerBase.)
Public methodGetAccountById
GET /Account/{id} Gets a user account.
Public methodGetAccountByName
POST /Account/Name/ Gets a user account.
Public methodGetAccountInfoById
GET /Account/Info/{id} Gets the account info for the account ID.
Public methodGetAccountInfoByName
POST /Account/InfoName Gets the account by name.
Protected methodGetClientIdFromCookieOrProvided
Gets the client ID from cookie or from the provided value, which is usually from the query string.
(Inherited from ApiControllerBase.)
Protected methodGetServiceT
Gets the requested service.
(Inherited from ApiControllerBase.)
Protected methodGetSessionIdFromCookieHeaderOrProvided
Gets the session ID from cookie, the authorization header or from the provided value, which is usually from the query string.
(Inherited from ApiControllerBase.)
Public methodGetUserData
GET /Account/UserData/{id} Gets the user data for the specified account.
Protected methodLoadSession
Creates a new caller context associated with the specified session ID. The session is not validated.
(Inherited from ApiControllerBase.)
Public methodPromoteVirtualAccount
POST /Account/PromoteVirtualAccount/{id} Promotes the virtual account to a non-virtual account.
Public methodQueryAccountInfos
POST /Account/QueryInfos/ Gets information about multiple user accounts.
Public methodQueryAccounts
POST /Account/Query/ Gets multiple user accounts.
Public methodQueryNumberOfAccounts
POST /Account/Count/ Gets the number of accounts that match the filter.
Public methodRefreshAccountPropertiesFromActiveDirectory
POST /Account/RefreshAccountPropertiesFromActiveDirectory/{id} Refreshes the values of account properties from Active Directory (e.g. email address, display name).
Protected methodRequestFirstFormFile
Retrieves the first form file from the request.
(Inherited from ApiControllerBase.)
Protected methodRequestFormFiles
Retrieves the form files from the request.
(Inherited from ApiControllerBase.)
Protected methodReturnInvalidWindowsIdentityResponse
Returns the invalid windows identity response to challenge the browser.
(Inherited from ApiControllerBase.)
Public methodUpdateAccount
PUT /Account/{id} Updates a user account.
Public methodUpdateCustomAttributesForAccount
POST /Account/UpdateCustomAttributesForAccount/{id} Updates the custom attributes for the specified account.
Public methodUpdateLastLogOnIpAddress
PUT /Account/IpAddress/{id} Updates a user account's last logon IP address.
Public methodValidAccountTypes
GET /Account/ValidAccountTypes Gets a list of the account types that are currently relevant for the application.
Public methodValidatePassword
POST /Account/ValidatePassword/ Validates the password against the current password policy.
Public methodWriteUserData
POST /Account/UserData/{id} Writes user data in the account.
Top
See Also